Bug 1645264 - Review Request: golang-github-euank-kmsg-parser - A simpler parser for the /dev/kmsg format
Summary: Review Request: golang-github-euank-kmsg-parser - A simpler parser for the /d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 18:44 UTC by Robert-André Mauchin
Modified: 2019-04-14 06:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 00:03:52 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2018-11-01 18:44:52 UTC
Spec URL: https://eclipseo.fedorapeople.org/cadvisor/golang-github-euank-kmsg-parser.spec
SRPM URL: https://eclipseo.fedorapeople.org/cadvisor/golang-github-euank-kmsg-parser-2.0.0-1.fc30.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30597664

Description:
This package contains a library to allow parsing the /dev/kmsg device in 
Linux. This device provides a read-write interface to the Linux Kernel's ring 
buffer.

In addition to the library, a simple cli-tool that functions similarly to dmesg 
--ctime --follow is included. This code serves both as a usage example and as a 
simple way to verify it works how you'd expect on a given system.

Fedora Account System Username: eclipseo

Comment 1 Elliott Sales de Andrade 2019-02-10 10:36:11 UTC
- Latest version is 2.0.1
- Common description can probably be split a bit. The CLI tool should reference
  the other package since it's not in -devel, and the godmesg subpackage
  probably shouldn't start with "This package contains a library".

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 4 files have unknown license. Detailed output
     of licensecheck in 1645264-golang-github-euank-kmsg-parser/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id(R-date,
     kde-platform-plugin, qemu-ui-gtk, libhbalinux, cups-client, efivar-
     libs, netcdf, python3-cffi, librsync, qemu-block-gluster, rpm-plugin-
     selinux, abrt, ghc-transformers, ghc-parallel, libmediaart, cygwin64
     -gcc-gfortran, python3-qt5-webkit, libimagequant, giflib, libreoffice-
     graphicfilter, openmpi, xsel, libfaketime, trousers, dirac-libs, gst-
     devtools, python2-h5py, libdb-utils, tracker-miners, xorg-x11-font-
     utils, PackageKit-command-not-found, OpenEXR-libs, ghc-monad-par-
     extras, libcom_err, libseccomp, double-conversion, flare-engine,
     ksysguardd, mingw64-qt-qmake, openblas-openmp64_, python3-pywt, fcgi,
     libabw, ghc-wai-extra, libvirt-daemon-driver-storage-iscsi, libid3tag,
     libmodman, ghc-semigroups, telepathy-gabble, cfitsio, argyllcms,
     parted, gnome-disk-utility, libdvdread, zstd, bluez-libs, xml-
     security-c, kf5-kjobwidgets, ghc-uniplate, libwebp, libxslt, quesoglc,
     totem-pl-parser, herqq, netty-tcnative, system-config-printer-udev,
     ghc-criterion, python2-nss, mingw64-gcc, libverto-libev,
     python2-cryptography, kf5-kdeclarative, libevdev, libgpg-error,
     libmaxminddb, lvm2-libs, kf5-sonnet-core, libpurple, perl-Digest-SHA,
     abrt-gui, perl-Params-Classify, libmicrohttpd, portmidi, med,
     R-httpuv, irda-utils, python3-unbound, ghc-prelude-extras, kf5-solid,
     libzstd, ghc-bsb-http-chunked, wxBase, libdazzle, xdg-desktop-portal-
     gtk, ghc-mmorph, lua-lpeg, symlinks, python3-simplejson, perl-Unicode-
     String, python3-crypto, armacycles-ad, libcdr, ghc-shakespeare,
     e2fsprogs-libs, pulseaudio-libs, libdwarf, wxGTK3-webview, tpm2-tools,
     lcms2, docker-rhel-push-plugin, python3-Bottleneck, avra, qemu-guest-
     agent, annobin, ntfs-3g, python3-pycosat, libxcb, texlive-chktex,
     freexl, libyubikey, remmina-plugins-st, libbdplus, python3-pycurl,
     python3-brlapi, postgresql-libs, mingw64-binutils, CUnit, xcb-util-
     keysyms, angelscript, celestia, ghc-data-default-instances-dlist, m4,
     python26, perl-GSSAPI, ghc-StateVar, sushi, libgphoto2, festival-lib,
     nss-softokn-freebl, libsavitar, R-XML, R-fansi, festival, tinyxml,
     xcb-util, libwmf-lite, clutter-gtk, python3-PyQt4-webkit,
     python3-coverage, ghc-cpphs, krb5-devel, gcc-objc++, python2-wrapt,
     poppler-qt, kf5-kemoticons, http-parser, qt5-qtspeech, R-fts,
     pulseaudio-utils, perl-Sub-Identify, R-openssl, v8-314, rubygem-
     hpricot, perl-PerlIO-utf8_strict, kf5-kdelibs4support-libs,
     python2-pyqt4-sip, pyorbit, openjpeg2-tools, ImageMagick-c++, ghc-hxt-
     regex-xmlschema, uniconvertor, brasero-libs, ghc-disk-free-space,
     polyclipping, kf5-kpackage, perl-JSON-XS, kf5-kfilemetadata, texlive-
     pdftex, perl-Ref-Util-XS, python3-scipy, ghc-base-unicode-symbols,
     gperf, kile, perl-Time-Piece, ghc-old-time, dbusmenu-qt, qca-qt5,
     ncurses-libs, libidn2, perl-Crypt-SSLeay, ldns, perl-Sys-Syslog, ghc-
     adjunctions, liblo, assimp, xorg-x11-xkb-utils, ibus-hangul, native-
     platform, NetworkManager-openvpn, rubygem-redcarpet, libxkbfile, ghc-
     cairo, hplip-libs, libwvstreams, rustfmt, ghc-binary, freerdp-libs,
     xmlrpc-c-client, ghc-libxml-sax, sane-backends-drivers-cameras,
     libwpg, libwpd, enchant2, ghc-base-orphans, kf5-kwindowsystem,
     libvirt-daemon-driver-qemu, perl-Time-HiRes, ghc-filemanip, qemu-
     block-ssh, libwps, python3-lz4, gssdp, python3-line_profiler, cln,
     fuse-overlayfs, kactivitymanagerd, ghc-zlib, libacl, openmpi-devel,
     mpich, libguestfs-tools-c, libSM, policycoreutils,
     python3-pycryptodomex, mcelog, remmina-plugins-xdmcp, samba-common-
     tools, libmusicbrainz5, ghc-unix, pptp, sane-backends-drivers-
     scanners, libebur128, libXxf86misc, foomatic, texlive-dvips,
     python3-reportlab, minizip, colord-gtk, dbus-x11, alex, p11-kit,
     libpath_utils, freerdp, torque, libicu-devel, rpm-build, ghc-gtk,
     Inventor, wodim, libvirt-daemon-driver-storage-sheepdog, libglvnd-
     gles, python3-audit, perl-Wx, rpm-plugin-systemd-inhibit, ghc-word8,
     libmicrodns, zerofree, R-backports, gtkspell, ghc-managed, freeglut,
     gstreamer1, gom, msgpack, ghc-tasty-quickcheck, ghc-echo, gmime30,
     libtomcrypt, yaml-cpp, dbus-libs, glusterfs-api, libreoffice-gtk3,
     libreoffice-gtk2, optipng, boost-wave, ghc-transformers-base, vim-
     minimal, gnome-screenshot, libkkc, ghc-erf, ghc-bifunctors,
     python2-pynacl, ghc-contravariant, ghc-crypto-api, usermode,
     java-1.8.0-openjdk-headless, ghc-SHA, libfbclient2, qpdf-libs, linux-
     atm-libs, libedit, ghc-hashable, chrpath, subversion-libs, atk,
     python3-cairo, python2-libdnf, SDL_net, accountsservice, ghc-
     containers, ghc-basement, isl, ghc-integer-logarithms, hfsplus-tools,
     ImageMagick, perl-IPC-SysV, gssproxy, mesa-libGLU, R-markdown,
     libblockdev-btrfs, libatomic_ops, ghc-entropy, gupnp-av,
     clang6.0-libs, bridge-utils, libmpcdec, gtk-update-icon-cache, ghc-
     unordered-containers, lua-filesystem, pinfo, tpm2-abrmd, ghc-x509,
     NetworkManager, libkate, liblangtag, python3-gmpy2, libdatrie, glade-
     libs, setuptool, perl-Text-BibTeX, gstreamer-plugins-good, libasan,
     kscreenlocker, ghc-abstract-par, ghc-th-orphans, python3-pygit2,
     guile, gl2ps, pcre-utf16, kmenuedit, isdn4k-utils, python33, gvfs-goa,
     pipewire, ghc-clock, python2-kiwisolver, opencsg, ghc-cryptohash-
     sha256, libnsl2, libserf, xfsprogs, libhbaapi, authselect, boost-
     timer, libcroco, python2-zmq, texlive-bibtex, cygwin32-cpp,
     qt5-qtsensors, ghc-compiler, python3-lazy-object-proxy, ghc-uri-
     bytestring, plymouth-plugin-label, wildmidi-libs, colord-libs, ghc-
     tasty-kat, mozjs60-devel, libsemanage, opensm-libs, ghc-th-reify-many,
     python3-scikit-image, gstreamer1-libav, libsepol, python3-orderedset,
     libcddb, libRmath, gpgmepp, libgcab1, libzhuyin, gvnc, gstreamer-
     plugins-bad-free-extras, perl-Unicode-LineBreak, libtranslit-m17n,
     hypervfcopyd, cronie, openblas-threads64, qemu-user-static, rpm-libs,
     libjpeg-turbo-utils, kdelibs, libreport, qt5-qtquickcontrols, R-bit64,
     nettle, ghc-file-embed, python3-poppler-qt4, perl-Encode, libcacard,
     elfutils, ghc-hslua-module-text, kf5-kio-ntlm, ldc, remmina-plugins-
     nx, colord, libpipeline, pkcs11-helper, accountsservice-libs,
     gstreamer-plugins-ugly, ghc-hgettext, network-scripts, gnome-system-
     monitor, findutils, popt, plasma-desktop, python2-xpyb,
     qt5-qtx11extras, libsss_idmap, iniparser, libraw1394, boost-atomic,
     perl-Data-UUID, mscore, fontforge, picosat-libs, torque-libs, gnome-
     clocks, ghc-hxt-unicode, iptables, iproute-tc, isomd5sum, libtxc_dxtn,
     libvterm, ghc-system-filepath, remmina-plugins-secret, spice-glib,
     woff2, ghc-pandoc, python2-numpy, dotconf, libXfont, PackageKit-glib,
     patch, sqlite-libs, lttng-ust, xcb-util-cursor, enchant,
     python2-greenlet, libXxf86dga, libsodium, python2-smartcols,
     kf5-kplotting, rhash, xdg-user-dirs-gtk, perl-Data-Dumper, libwayland-
     client, kf5-kio-file-widgets, pinentry-gnome3, libsmbios, libipt,
     mdadm, openblas-threads, python2-zope-interface, gnome-calculator,
     python2-msgpack, device-mapper, ldns-utils, python2-librepo, libXtst,
     ghc-lifted-base, nftables, xapian-core-libs, irqbalance, seisan2mseed,
     ghc-regex-pcre, gmic, perl-Text-Soundex, gnome-terminal, GeoIP, perl-
     Class-XSAccessor, libpano13, wv, libsigc++20, python2-talloc, opencc,
     ghc-reflection, libXrandr, newt, libreport-plugin-reportuploader,
     samba-winbind-modules, liba52, wine-twain, ghc-QuickCheck, ghc-zip-
     archive, okular-libs, crda, libical, vtk-qt, sheepdog,
     qt5-qtdeclarative, libXpm, kf5-libkexiv2, vo-amrwbenc,
     qt5-qtquickcontrols2, libofa, python3-lxml, libsysprof-ui, libXfont2,
     libblockdev-loop, libmfx, libssh2, mingw64-gcc-c++, NetworkManager-
     adsl, open-vm-tools-desktop, qimageblitz, xmlsec1-nss, dbusmenu-qt5,
     libXcursor, ghc-css-text, ghc-network-uri, gnome-mines, iio-sensor-
     proxy, dracut, kaccounts-integration, procps-ng, plymouth-core-libs,
     ghc-maccatcher, compiler-rt, kdenlive, seahorse-nautilus,
     the_silver_searcher, ghc-cryptonite, simple-scan, ghc-attoparsec-
     iso8601, phonon-backend-gstreamer, pulseaudio-module-x11, xorg-x11
     -drv-nouveau, jsonrpc-glib, bluez-obexd, zlib, freealut, libpeas,
     gnustep-base-libs, pam_krb5, gutenprint-cups, grub2-tools-efi, avahi,
     libselinux, python3-regex, ghc-distributive, ncurses-compat-libs,
     icoutils, nodejs, expat, cups-filters, iw, boost-fiber, ghc-vector-
     builder, libxml, ghc-fast-logger, userspace-rcu, ghc-hostname,
     wavpack, libbsd, live555, kf5-kactivities, ibus-libpinyin,
     setroubleshoot-server, qgis, plasma-discover, make,
     python3-markupsafe, libseccomp-devel, libindicator, khelpcenter,
     libnice, libzip, libsoup, ghc-streaming-commons, jxrlib, ghc-tar, ghc-
     pandoc-citeproc, perl-Net-SSLeay, perl-Filter, ghc-mwc-random, cups-
     libs, libappstream-glib, csstidy, ghc-monad-logger, cygwin64-cpp,
     redeclipse, efivar, gzip, autogen-libopts, qt5-linguist,
     python3-qt5-webengine, keyutils, libipa_hbac, goocanvas, libfdisk,
     kdialog, ghc-blaze-html, libdmx, perl-Date-Simple, openssl-libs,
     corosynclib, python2-wsaccel, pcre2, dconf-editor, bind-libs-lite,
     wcslib, kf5-kxmlgui, okular, remmina-plugins-vnc, opencv, gavl,
     libatasmart, gnome-packagekit-common, R-ape, ipset, x265-libs,
     libtermkey, kf5-kcoreaddons, postgresql-devel, plasma-discover-
     flatpak, libcaca, devhelp, deltarpm, ghc-hxt, fuse-libs, gwenhywfar,
     libvirt-daemon-driver-storage-zfs, kf5-kjsembed, xorg-x11-xauth, OCE-
     visualization, libglvnd-glx, ghc-SafeSemaphore, gtkspell3, python3
     -mpi4py-openmpi, libcue, gspell-devel, python2-pyside, libXrender,
     json-glib, kf5-kglobalaccel, libpfm, libX11-xcb, libfontenc, libicu,
     libgsf, sssd-common, NetworkManager-openconnect, libgtop2, gstreamer-
     plugins-espeak, btrfs-progs, gcc-gfortran, tracker, python3-mistune,
     ghc-silently, qt5-qtxmlpatterns-devel, sssd-common-pac, R-gee,
     python2-pandas, goffice08, perl-Devel-PPPort, openconnect, protobuf-c,
     xerces-c, mesa-libglapi, bolt, glx-utils, NetworkManager-vpnc-gnome,
     libtommath, postgresql, ykpers, PackageKit, aqbanking, perl-MIME-
     Base64, numad, kicad, polkit-qt5-1, boost-container, cygwin64-gcc-c++,
     ghc-rio, python2-fastcache, ghc-ghc, libass, ghc-connection, boost-
     math, ghc-time, python3-twisted, SDL_image, gvfs-afp, libstdc++, ghc-
     aeson-pretty-devel, ppp, sox, libtiger, git, perl-Compress-Raw-Bzip2,
     kf5-threadweaver, jack-audio-connection-kit, mpg123-libs, opus, ctags,
     git-core, R-Cairo, ghc-th-lift, happy, cabal-rpm, libxklavier,
     traceroute, cyrus-sasl-plain, dyninst, libspnav, gconfmm26, xonotic,
     kf5-karchive, libreoffice-pdfimport, libgsystem, rp-pppoe, libtheora,
     ghc-cmdargs, attr, mtr, okular-part, gtksourceview4, gtksourceview2,
     libblockdev-part, ghc-hs-bibutils, pugixml, strace, plymouth,
     libcanberra-gtk3, kf5-ki18n, boost-program-options, tnef, mtdev, qemu-
     audio-alsa, mailx, kwin, systemd-udev, golang, fftw-libs-single,
     brasero, ghc-stm, python2-m2ext, libXvMC, R-argon2, check, llvm,
     cheese-libs, kdepimlibs-kxmlrpcclient, tix, python2-pillow, ghc-unix-
     compat, libXmu, paraview-devel, fuse, python2-crypto, wine-ldap,
     capstone, python3-zope-interface, papi, libreoffice-impress, jasper-
     libs, gnome-session, perl-Curses, ghc-th-lift-instances, rubberband,
     device-mapper-libs, xorg-x11-xinit, ghc-yesod-persistent, libogg,
     pyliblzma, libffi, libGLEW, ghc-cassava, python2-libsemanage, lib3ds,
     python2-hawkey, diffutils, ghc-yesod-static, graphviz-python2,
     libgnomecanvas, time, checkpolicy, mpfr, ghc-array, telepathy-mission-
     control, kf5-knotifyconfig, cdparanoia, SuperLU43, cyrus-sasl-md5,
     iputils, R-lmtest, SDL_ttf, qt5-qtxmlpatterns, numactl-libs, mariadb-
     connector-c-devel, nss-tools, libvirt-daemon-driver-nwfilter, qt5
     -qtwayland-devel, gvfs-fuse, ghc-torrent, gpgme, ninja-build,
     hypervvssd, kf5-kded, python3-brotli, libmcpp, konsole5-part,
     libibverbs, devhelp-libs, mpg123, SDL2_mixer, ghc-ghc-boot-th, libgpg-
     error-devel, dleyna-core, qemu-audio-pa, zinnia, libqmi-utils,
     libmbim-utils, psacct, cygwin32-pkg-config, ldc-druntime, lame-libs,
     bustle, R-gmp, gnome-bluetooth-libs, usbredir, ghostscript, libtirpc,
     llvm4.0-libs, gnucash, fftw, physfs, cryptsetup-libs, gnome-control-
     center, syslinux-extlinux, SDL2_image, python2-gpg, wxGTK-media,
     msp430-elf-gcc, R-utf8, bind-libs, python2-urwid, pygobject2, boost-
     type_erasure, PyQt4, ghostscript-x11, lua-posix, libinput, ghc-
     microlens-th, kf5-syntax-highlighting, pngquant, python2-gstreamer1,
     libreport-cli, libpkgconf, teckit, python3-dmidecode, slic3r, abrt-
     gui-libs, signon-plugin-oauth2, konsole5, python3-tables, gegl,
     qt5-qtconnectivity, qscintilla, wireshark-cli, ghc-gio, xdg-desktop-
     portal-kde, libtsan, corosync, python2-pyparted, qt5-qtsvg,
     llvm3.9-libs, upower, libreoffice-calc, sni-qt, sane-backends-libs,
     R-stringi, gawk, R-bit, dmraid-events, pcsc-lite-libs, R-FMStable,
     adwaita-gtk2-theme, libbasicobjects, plasma-integration, ghc-terminal-
     size, kdelibs-webkit, wine-cms, qtsoap5, hdf5, baobab, ffmpeg-libs,
     rdma-core, libgnomeui, ghc-extensible-exceptions, vte291, sysprof-cli,
     python3-newt, libgweather, liblzf, ghc-json, wine-opencl, ghc-pcre-
     light, qemu-block-iscsi, perl-Devel-Peek, ghc-regex-base,
     libspatialite, libgrss, libdvbpsi, httpd, mingw32-qt5-qttools-tools,
     python2-gmpy2, R-mnormt, libsmbclient, ghc-xml, python2-reportlab,
     transmission-gtk, sane-backends-daemon, ghc-http-date, R-sourcetools,
     libkcapi, ghc-aeson-pretty, mingw64-qt5-qmldevtools, ghc-http-conduit,
     compat-openssl10, ghc-setenv, evince-nautilus, mingw32-gcc-gfortran,
     opencore-amr, R-bitops, recordmydesktop, R-promises, abrt-addon-
     kerneloops, libnftnl, llvm5.0-libs, gnome-maps, python2-blosc, ghc-
     aeson-compat, libgta, oddjob-mkhomedir, python3-libvirt, R-polyclip,
     kf5-kidletime, R-Rmpfr, openCOLLADA, xcb-util-renderutil, libwinpr,
     libreport-web, sssd-ad, python2-Bottleneck, texlive-luatex, libpinyin,
     nmap-ncat, logrotate, vorbis-tools, rdist, python2-matplotlib-gtk,
     libexif, irrXML, scl-utils, libdnet, ghc-fingertree, flann, ntfsprogs,
     appstream-qt, abrt-libs, qtscriptbindings, protobuf, efibootmgr,
     libeot, ghc-js-jquery, boost-signals, compat-wxGTK3-gtk2, ibus-
     handwrite, systemd-bootchart, clang, samba-common-libs, ghc-colour,
     libreswan, kf5-kirigami2, libpsl, wxGTK, mpg123-plugins-pulseaudio,
     cairomm, qt5-qtbase-mysql, python3-rpm, zbar, marsshooter, fwupdate-
     libs, jimtcl, libuser, OCE-foundation, ghc-cryptohash-md5, R-plyr,
     ghc-vector-binary-instances, lz4-libs, ghc-iproute, ghc-persistent-
     sqlite, graphviz, kexec-tools, avrdude, gplugin-libs, festival-
     speechtools-libs, boost-date-time, jid, python3-libdnf, tmpwatch,
     wvdial, python2-subprocess32, pypy, vtk, libglade2, satyr, gts,
     pixman, gnome-font-viewer, ghc-glib, kf5-kparts, wpa_supplicant,
     chntpw, rubygem-psych, xorg-x11-drv-vesa, python3-numexpr, libbluray,
     ghc-uuid-types, python2-coverage, brltty, python2-qgis, texlive-lib,
     libbabeltrace, p11-kit-server, vtk-tcl, vpnc, psmisc, ghc-network,
     stellarium, xorg-x11-drv-libinput, mesa-libOSMesa,
     ghc-x509-validation, libsss_certmap, veusz, libblockdev-mpath, ed,
     libgit2-glib, ghc-process, libgcc, libmng, ilmbase, python3-bsddb3,
     perl-Compress-Bzip2, kcachegrind, qextserialport, python3-zmq,
     gfs2-utils, ghc-async, poppler, pocl, libstemmer, texlive-bibtex8,
     djvulibre-libs, gnome-online-accounts, ibus-libzhuyin, fftw-libs-
     double, avahi-gobject, net-tools, ModemManager, cygwin64-binutils,
     ghc-fdo-notify, ghc-free, ibus-m17n, podman, qemu-img, R-jsonlite,
     california, qt5-qtbase-gui, ghc-pretty, openvdb-libs, libgnome-games-
     support, ghc-digest, orc, ghc-network-multicast, kdepimlibs-gpgme,
     polkit, qt-devel, libuuid, faad2-libs, libarchive, libfreehand, ibus-
     gtk3, ibus-gtk2, ghc-deepseq, xorg-x11-server-Xvfb,
     python2-libselinux, cryptsetup, udisks2, clucene-contribs-lib,
     python3-ujson, paps-libs, tcp_wrappers, xz, libXcomposite,
     OpenSceneGraph-libs, plasma-discover-libs, mtools, pygtk2, criu, ghc-
     highlighting-kate, python3-matplotlib-tk, harfbuzz-icu, libplist,
     gstreamer-tools, libmimic, xdg-user-dirs, libdap, ghc-path-pieces,
     kwin-common, ghc-monad-par, xmlto, hwloc-libs, tetex-dvipost, spice-
     server, libreport-plugin-logger, gdk-pixbuf2, ghc-unliftio, gst-
     transcoder, libmseed, gupnp, hunspell-devel, gnome-color-manager,
     perl-Encode-EUCJPASCII, libevent, redland, webkit2gtk3-devel,
     python2-cccolutils, perl-Net-LibIDN, tcpdump, gnome-characters,
     fribidi, serd, python3-tkinter, R-curl, slirp4netns, opencv-contrib,
     ghc-utf8-string, pypoppler, sratom, libblockdev, mingw64-cpp,
     librdmacm, urlview, lua-socket, dconf, xz-libs, dbus-glib, PackageKit-
     gtk3-module, bash, python3-kiwisolver, abrt-addon-xorg, perl-SDL,
     libdvdnav, kf5-kdoctools, libcap, libprojectM, ghc-esqueleto, kde-
     style-breeze, pandoc-citeproc, ghc-gtk3, libblockdev-crypto,
     libwbclient, python3-Cython, kf5-kio-widgets-libs, libvirt-daemon-
     driver-storage-gluster, python3-bcrypt, python3-pyproj, ghc-hackage-
     security, ghc-email-validate, libbonobo, mod_http2, podofo-devel,
     GraphicsMagick-c++, libthai, gnome-code-assistance, fakeroot,
     python3-fiona, ibus-chewing, ghc-ed25519, ghc-vector-algorithms,
     openblas-openmp, ghc-auto-update, adcli, kf5-kglobalaccel-libs,
     libguestfs, gdal-libs, iproute, python2-simplejson, ghc-aeson,
     libsmartcols, gsound, boost-test, fakeroot-libs, gmime, ghc-js-flot,
     ghc-microstache, blosc, oci-systemd-hook, leptonica, orc-compiler,
     aubio, chmlib, python3-hawkey, os-prober, GMT, ethtool, qt5-qttools-
     libs-designercomponents, python2-pyqt5-sip, libX11, ghc-yesod,
     libfprint, libdc1394, systemd-libs, cpio, libknet1, texlive-xdvi,
     gstreamer-devel, gtk2-immodule-xim, util-linux, R-Rcpp, ghc-mime-
     types, libburn, apr-util-bdb, ghc-x509-system, ghc-setlocale,
     krb5-libs, bison, libconfig, ghc-Only, chrony, enca, freeimage,
     python3-qt5, llvm6.0-libs, libknet1-crypto-nss-plugin, libpciaccess,
     ghc-foldl, clucene-core, libsss_autofs, dvdauthor, R-tikzDevice, ghc-
     hxt-charproperties, kmod, libxml++, NetworkManager-pptp, gvfs-mtp,
     libetonyek, libcanberra-gtk2, libgs, libgnome, gnome-user-share,
     python2-pwquality, ghc-unliftio-core, sssd-client, libgxps, screen,
     systemd, kf5-kiconthemes, webkit2gtk3-jsc, libpagemaker,
     python3-snappy, highlight, flatpak-builder, ghc-dbus, mingw32-cpp,
     pyside-tools, python2-gdal, kf5-kitemviews, CharLS, libxkbcommon,
     ibus-anthy, perl-XML-LibXML, yajl, lockdev, ghc-resourcet, kdesu,
     cups-filters-libs, kf5-knotifications, OpenImageIO, geocode-glib,
     anthy, biosdevname, lpsolve, grantlee-qt5, pcre2-utf32,
     qt5-qdbusviewer, xorg-x11-server-utils, R-core, python2-basemap,
     vid.stab, ghc-parsec, libvirt-daemon-driver-storage-iscsi-direct,
     perl-Wx-GLCanvas, pypy-libs, cracklib, evince-libs, python2-tkinter,
     libepubgen, libdnf, git-cinnabar, freetds-libs, doxygen, R-ps,
     python2-qscintilla, ruby, libgdl, gnuplot-common, abrt-addon-
     pstoreoops, gmp-c++, libmikmod, libdbusmenu-gtk3, libdbusmenu-gtk2,
     plasma-browser-integration, pulseaudio-libs-glib2, texlive-makeindex,
     libnice-gstreamer1, hdf, netpbm, editorconfig-libs, qtsoap, nm-
     connection-editor, gnome-python2-canvas, qt5-qttools-libs-help,
     python3-pyparted, libudisks2, abrt-plugin-bodhi, blas,
     python3-setools, libglpng, clutter, kf5-kholidays, zenity, rhythmbox,
     chkconfig, libquicktime, java-1.8.0-openjdk-devel, python2-qt5,
     libgnome-keyring, hostname, device-mapper-multipath-libs, iscsi-
     initiator-utils, gparted, pangox-compat, librados2, source-highlight,
     subunit, pam, liborcus, mingw64-gcc-gfortran, unixODBC,
     python2-pyfits, libkscreen-qt5, openldap, darkplaces, R-hexbin,
     zziplib, R-testthat, ghc-tagged, gamin, gnome-builder,
     kf5-ktexteditor, ipcalc, mlt-freeworld, ghc-stringsearch, SDL,
     hdf5-openmpi, ghc-regex-posix, speex, libvirt-daemon-driver-storage-
     logical, ibus-wayland, ghc-resource-pool, rtkit, neon, rest,
     R-lazyeval, ghc-void, libsamplerate, python2-lxml, ldc-phobos, samba-
     libs, boost-iostreams, poppler-utils, rubygem-RedCloth, samba,
     pakchois, smesh, lapack, PyQt4-webkit, libgee06, subversion, zfs-fuse,
     systemtap-runtime, python3-pypillowfight, vala, ghc-JuicyPixels,
     libusbmuxd, python2-audit, gnome-packagekit-installer, perl-Unicode-
     Normalize, gperftools-libs, libimobiledevice, lzop, NetworkManager-
     wwan, polkit-pkla-compat, gdcm, jbig2dec-libs, epiphany-runtime,
     libmtp, cyrus-sasl-lib, librevenge, gtkglext-libs, scribus, nspr, gjs,
     python3-gobject-base, perl-Bit-Vector, binutils, gnome-settings-
     daemon, gnupg2-smime, dnsmasq, geoclue2-libs, ann-libs, libXfixes,
     ghc-unix-time, R-expm, subversion-perl, ghc-xml-hamlet, libblkid,
     pygoocanvas, qemu-block-rbd, libcdio, libsss_sudo, hscolour, nosync,
     rsync, samba-winbind, gnome-software, librbd1, lua-libs, qpdf, perl-
     Params-Util, restic, NetworkManager-bluetooth, authselect-libs,
     soundtouch, dvgrab, xorg-x11-drv-evdev, libpeas-gtk, libXinerama,
     libnl3-cli, lirc-libs, ghc-blaze-markup, libteam, vim-enhanced, glade,
     libcmis, qt5-qttools, elfutils-libs, osm-gps-map, pcmciautils,
     libraqm, acl, cyrus-sasl-scram, gnome-initial-setup, boost-numpy2,
     kf5-krunner, xorg-x11-apps, gupnp-igd, kf5-kinit, R-rlang, gstreamer-
     plugins-base, subtitleeditor, R-sp, ghc-temporary, libgee, paraview,
     python3-fastcache, libdbi-dbd-sqlite, libXxf86vm, mesa-libEGL,
     python2-pyxattr, redhat-lsb-core, systemd-pam, sord, libkscreen, paps,
     ftgl, perl-Storable, libobjc, R-pdftools, libreoffice-ogltrans,
     pygtksourceview, libshout, soprano, keditbookmarks, ghc-network-info,
     gnome-python2-bonobo, SDL_gfx, pcre-utf32, bullet, perl-Sort-Key,
     python3-pyopengl, libreport-plugin-ureport, nss-util, gtkparasite, qt5
     -qttools-libs-designer, marisa, arpack, ghc-primitive, rust, mozjs52,
     systemd-container, libcomps, libaec, ghc-texmath, at, gtk3-immodule-
     xim, R-stringdist, vamp-plugin-sdk, ghc-data-default-instances-old-
     locale, libdca, libblockdev-fs, perl-Math-Libm, libblockdev-nvdimm,
     libnma, gettext, gource, audacity-freeworld, soxr, kf5-gpgmepp,
     bakefile, espeak, oci-umount, python3-pandas, ghc-skein, ghc-lens,
     libvirt-gobject, libutempter, libaccounts-glib, gnome-remote-desktop,
     libmetalink, libewf, ghc-blaze-builder, slang, python3-wsaccel,
     openblas-serial, python3-statsmodels, gnome-keyring-pam, cryptopp,
     gcc-objc, pulseaudio, e2fsprogs, ghc-base16-bytestring, grub2-tools-
     minimal, libreoffice-writer, cpp, libksba, kdecoration, libwayland-
     server, virglrenderer, esmtp, gtksourceview3, gdbm, libchromaprint,
     osinfo-db-tools, ghc-vector-th-unbox, libsndfile, libblockdev-vdo,
     libvisio, deja-dup, Field3D, libproxy-mozjs, python2-psycopg2, ghc-th-
     abstraction, tk, ghc-sandi, python3-sqlalchemy, ruby-libs, bzip2-libs,
     ccache, ghc-asn1-parse, gnome-keyring, kate4-part, puzzles, boost-log,
     openssl-pkcs11, perl-Encode-JIS2K, switcheroo-control, gnutls, ncftp,
     jack-audio-connection-kit-example-clients, R-later,
     python3-matplotlib, ghc-abstract-deque, librtmp, kf5-kpeople, SuperLU,
     cairo-gobject, device-mapper-persistent-data, telepathy-idle, ghc-
     exceptions, python2-krbv, webkit2gtk3-plugin-process-gtk2,
     python3-pykdtree, libselinux-utils, libkadm5, perl-Scalar-List-Utils,
     kf5-networkmanager-qt, dosfstools, rng-tools, ghc-clientsession, ghc-
     mountpoints, gnome-abrt, libspectre, freecad, muParser, compat-
     openssl10-pkcs11-helper, icedax, keyutils-libs, qt5-qtwebsockets-
     devel, libproxy, ghc-vault, python3-scikit-learn, libreoffice-math,
     python2-cheetah, ghc-base, glusterfs-fuse, game-music-emu, kf5-kpty,
     R-rgdal, goocanvas2, pidgin, gstreamer-ffmpeg, jffi-native, qt5
     -qtbase-postgresql, remmina-plugins-exec, libEMF, R-digest,
     python2-sqlalchemy, hugin, libkworkspace5, R-base64enc, ghc-microlens,
     liferea, tesseract, plasma-pa, R-gtools, libnfsidmap, perl-XML-Parser,
     ghc-text-short, mlocate, libevdev-utils, gutenprint, file-libs, ghc-
     xss-sanitize, grub2-tools, ghc-uuid, avahi-glib, mokutil, libblockdev-
     swap, libnetfilter_conntrack, python2-tables, python3-gobject, libev,
     qca, gdb-headless, frei0r-plugins, libxml2, gplugin,
     python2-netifaces, fprintd-pam, gstreamer1-plugins-bad-free, libusbx,
     R-zoo, polkit-gnome, gstreamermm, qrencode-libs, libICE, ghc-Cabal,
     libgexiv2, xmoto, drpm, pstoedit, qemu-block-nfs, createrepo_c-libs,
     kf5-kio-core, grilo, libgovirt, pcaudiolib, R-htmltools, perl-
     Compress-Raw-Zlib, dep, libcephfs2, libindicator-gtk3, speexdsp, vtk-
     devel, libntlm, cygwin-binutils-generic, ghc-base-prelude, openssh,
     ghc-tls, libreoffice-x11, nautilus, xcb-util-wm, diffstat, gtk2-devel,
     lftp, python3-shapely, socat, OCE-ocaf, gnome-vfs2, ghc-monads-tf,
     ghc-MissingH, PackageKit-Qt5, python3-obspy, alsa-lib, gstreamer1
     -plugins-good-gtk, gitg-libs, libwnck3, x264-libs, python2-gobject,
     gtkmm24, libvirt-daemon-driver-storage-disk, erfa, fd-find, mesa-dri-
     drivers, czmq, gstreamer1-plugins-bad-free-fluidsynth, ghc-hourglass,
     sgpio, python3-abrt, libffado, ghc-mono-traversable, mariadb,
     suitesparse, OpenThreads, libopenraw, qwtpolar, gdbm-libs,
     cygwin32-gcc-c++, libgnomekbd, libblockdev-kbd, ibus-rawcode, R-rgeos,
     pciutils, arm-none-eabi-gcc-cs-c++, libini_config, openssh-clients,
     python3-tornado, texlive-mfware, ghc-directory, gvfs-smb, celt051,
     beignet, libvkd3d, kyotocabinet-libs, geoipupdate, cygwin32-gcc-
     gfortran, python3-cryptography, ghc-crypto-cipher-types, gnome-
     bluetooth, cabal-install, ghc-template-haskell, glide, ghc-securemem,
     python3-msgpack, kwrited, u2f-hidraw-policy, libXcomp, libnl3, gimp-
     libs, ghc-tasty, python2-pyopengl, libnatpmp, kf5-kservice, ghc-
     comonad, libidn, R-chron, ghc-monad-control, libvirt-daemon-driver-
     storage-mpath, grubby, coin-or-Clp, kf5-kio-gui, openjpeg-libs,
     xorg-x11-server-Xephyr, python2-gssapi, python3-libreport,
     libdbusmenu, libdbi, libbytesize, R-V8, meshlab, libmpeg2, powerdevil,
     python3-systemd, iptables-libs, rpm-ostree-libs, tokei, ghc-wai-
     logger, ibus-libs, openblas-serial64, opencv-core, python2-libcomps,
     python2-pyyaml, audit-libs, cyrus-sasl-devel, SFML, bluez, telepathy-
     logger, wine-alsa, OCE-modeling, gettext-libs, python2-cffi,
     kf5-kwidgetsaddons, cups, qt-assistant, qt5-qtwayland, libref_array,
     liboath, gvfs-afc, ghc-socks, fwupd, raptor2, rubygem-io-console, asv,
     plasma-workspace-geolocation, dfu-programmer, xorg-x11-drv-intel,
     plymouth-plugin-two-step, ghc-unbounded-delays, sbc, qt-x11, libsane-
     hpaio, ghc-random, libhangul, SDL_mixer, ghc-ghci, libbonoboui, ocl-
     icd, ghc-system-fileio, poppler-glib, NetworkManager-openvpn-gnome,
     potrace, libgpod, seahorse, libblockdev-lvm, ghc-deepseq-generics,
     utf8proc, ibus-kkc, R-getPass, lvm2, python3-pyfits, ghc-cprng-aes,
     harfbuzz, ghc-syb, python3-cartopy, lash-libs, ghc-reducers,
     python3-wrapt, dmraid, neovim, libradosstriper1, pandoc, ghc-
     byteorder, tokyocabinet, libva, gvfs-client, NetworkManager-libnm,
     ghc-cereal, coin-or-Osi, python2-libs, zeromq, qt5-qtbase-tds, ibus-
     qt, libvirt-daemon-driver-interface, texlive-dvipng, perl-CryptX,
     python3-astropy, gnome-python2-gnome, python2-scipy, ghc-wai, R-mime,
     lrzsz, libglvnd-egl, opusfile, ghc-ghc-boot, ghc-http-types,
     transmission-cli, libtalloc, libtar, hypervkvpd, R-commonmark,
     libepoxy, ghc-semigroupoids, ghc-simple-sendfile, gnome-boxes,
     kf5-kdelibs4support, perl-Variable-Magic, wxGTK3-gl, man-db,
     python2-dbus, gedit, fluidsynth, plotutils, ghc-persistent-template,
     mingw32-qt5-qmldevtools-devel, libibumad, python2-vtk, mesa-libgbm,
     gstreamer-plugins-bad, gnome-desktop3, timedatex, remmina-plugins-rdp,
     xdg-desktop-portal, yaml-cpp03, qt5-qtenginio, qt-mobility-location,
     glusterfs-libs, sssd-nfs-idmap, mingw32-gcc-c++, wireless-tools,
     libdb, cargo, passwd, cups-pk-helper, quota, kmod-libs, libdv,
     gutenprint-libs, lm_sensors-libs, perl-Unicode-Map, desktop-file-
     utils, libXdamage, xorg-x11-utils, bzr, ghc-time-locale-compat, flite,
     libusal, sombok, qt5-designer, gst-editing-services, libunwind, perl-
     Math-Prime-XS, plasma-workspace, OpenColorIO, dleyna-connector-dbus,
     gtkmm30, unbound-libs, clang5.0-libs, ghc-hjsmin, libgit2,
     qt5-qtmultimedia, openblas-openmp64, template-glib, dhcp-libs,
     stunnel, kf5-kcmutils, diffpdf, python3-cheetah, kf5-kactivities-
     stats, libopusenc, blender, R-webutils, gobject-introspection,
     unpaper, libpwquality, imake, kf5-knewstuff, libosinfo, ghc-ansi-wl-
     pprint, fontconfig, compat-ffmpeg28, patchutils, R-filehash, libnsl,
     jbigkit-libs, openoffice.org-diafilter, ghc-mtl, python3-sip, compat-
     lua-libs, python3-PyQt4, avr-gcc-c++, perl-Math-BigInt-FastCalc,
     evince-djvu, ghc-optparse-applicative, avarice, qtlockedfile,
     libkcapi-hmaccalc, grep, libdaemon, ffmpeg, mariadb-connector-c, ghc-
     hpc, evince, lzma-sdk457, boost-coroutine, flatpak, chromium-bsu, ghc-
     bloomfilter, cheese, libaccounts-qt5, pkgconf, python2-snappy,
     python3-Traits, ghc-case-insensitive, vino, uisp, json-c, tree,
     kf5-kauth, vtk-qt-tcl, sed, sssd-ipa, pygtk2-libglade, jemalloc, perl-
     threads-shared, ghc-cmark-gfm, libaio, iwyu, gdm, python3-qt5-base,
     kpartx, mingw32-qt5-qmake, movit, libqmi, python3-pillow, ghc-old-
     locale, qt5-qtwebsockets, ktoblzcheck, ghc-HTTP, gpsd-libs, python34,
     cyrus-sasl, hardlink, libcollection, libgcrypt, kf5-baloo-libs,
     libsolv, sysstat, levmar, perl-Unicode-UTF8, kf5-kwallet, lash, lasi,
     python3-numpy, ghc-yesod-core, lsof, at-spi2-atk, duplicity, cronie-
     anacron, ghc-IfElse, gnome-online-miners, libgnomecanvasmm26,
     R-processx, twolame-libs, gucharmap, adwaita-qt4, avahi-ui-gtk3,
     gnome-shell, cups-ipptool, R-pbdZMQ, fuse-exfat, xorg-x11-server-Xorg,
     usbmuxd, pv, libmbim, python2-lz4, plasma-workspace-libs, perl-IO,
     libomp, libverto, glibmm24, libXScrnSaver, libtasn1-tools, realmd,
     libmspub, khotkeys, R-png, ncurses, libkml, python2-sip, nfs-utils,
     graphite2, python3-kerberos, compat-gdbm-libs, perl-List-MoreUtils-XS,
     perl-version, imlib2, libmad, libde265, libpng12, gstreamer-plugins-
     bad-free, ndctl-libs, gmp, ghc-cipher-aes, python3-savitar, sssd-
     krb5-common, libvirt-daemon-driver-storage-core, ghc-monad-loops,
     papi-libs, mlt, volume_key-libs, cdparanoia-libs, libmodulemd1,
     farstream02, python2-Cython, python2-setools, ghc-magic, libzapojit,
     cuneiform, ghc-data-default-class, alsa-plugins-pulseaudio, perl-
     interpreter, powerline, ebook-tools-libs, libksysguard-common, bluez-
     cups, gimp, rubygem-ffi, texlive-metafont, leveldb, python3-arcus,
     libcurl, kf5-kcrash, coreutils, gnutls-utils, libcap-ng, json-glib-
     devel, gvfs, libgadu, swig, ghc-kan-extensions, python2-deltarpm,
     signon, libassuan, deja-dup-nautilus, pinentry, libvirt-daemon-driver-
     storage-scsi, plasma-workspace-geolocation-libs, alsa-tools-firmware,
     python3-ruamel-yaml, librepo, shapelib, ghc-DAV, gnome-
     python2-gtkspell, nautilus-extensions, libubsan, gwenhywfar-gui-gtk3,
     python2-mistune, kde-cli-tools, telepathy-glib, qemu-common, docker,
     gsm, gsl, boost-filesystem, libtevent, librsvg2, kf5-sonnet-ui, ghc-
     aws, samba-winbind-clients, ghc-base-compat, libvmaf, R-bindrcpp,
     libchamplain, libglvnd, gnome-documents-libs, gobject-introspection-
     devel, boost-system, libpcap, openblas-threads64_, ghc-pango,
     ghc-x509-store, wxBase3, nmap, snappy, python3-test, python3-basemap,
     clutter-gst2, clutter-gst3, mozjs60, libdmtx, nginx, libdrm,
     genisoimage, ghc-foundation, brotli, libgcrypt-devel, rubygem-
     bigdecimal, qwt, shotwell, ghc-hoopl, xmlrpc-c, jsoncpp, perl-
     TermReadKey, qt5-qtwebkit, aalib-libs, espeak-ng, cogl, rygel, libpng-
     devel, daxctl-libs, attica, libvirt-glib, ldc-jit, perl-Sub-Name,
     gupnp-dlna, kf5-bluez-qt, SDL_Pango, rasqal, python2-wxpython, wine-
     capi, libmspack, perl-Unicode-Collate, libssh, inkscape,
     qt5-qtimageformats, GConf2, unrar, glibc, plasma-milou, ghc-haskell-
     src-meta, rubygem-http_parser.rb, proj, ttmkfdir, flatpak-libs,
     fipscheck, R-uuid, mactel-boot, bc, ghc-bytestring, munge, gtk-vnc2,
     gdk-pixbuf2-devel, gnome-packagekit-updater, libqhull_p, wget,
     libqhull_r, gnome-autoar, libijs, openssl, boost-regex, ghc-xhtml,
     ghc-filepath, python2-unbound, qt5-qtserialport, libgomp, ghc-bencode,
     libvirt-daemon-driver-secret, gstreamer1-plugins-bad-freeworld,
     ladspa, libgusb, mingw64-qt5-qmake, glib2, bcache-tools, R-glue,
     libreport-plugin-bugzilla, libqhull, spirv-tools-libs,
     python2-libxml2, qemu-system-x86-core, ImageMagick-libs, ghc-appar,
     libwmf, pcre2-utf16, libreport-plugin-kerneloops, libmnl, gettext-
     devel, libzmf, konsole-part, perl-FCGI, gdisk, nss, pcre,
     python3-pynacl, libchamplain-gtk, avr-gdb, tcp_wrappers-libs, sane-
     backends, suil, gstreamer1-plugins-base, spax, speech-dispatcher,
     qhull, cdrdao, fzf, pciutils-libs, ghc-attoparsec, ghc-tasty-hunit,
     libiptcdata, libmpc, libXi, ghc-Glob, file-roller, openjpeg2, poppler-
     cpp, ghc-crypto-random, libmatroska, flac-libs, libXt, libXv, rubygem-
     openssl, libexttextcat, info, libnfnetlink, libmwaw, polkit-qt,
     libiec61883, gstreamer, rpm-sign-libs, git-annex, boost-context,
     python3-gssapi, device-mapper-event, vtable-dumper, mozjs52-devel,
     netcdf-cxx, perl-autovivification, fftw-libs-quad, qt5-qttools-devel,
     avr-gcc, R-xml2, qt5-qtbase, ghc-scientific, ghc-asn1-encoding,
     libpskc, java-1.8.0-openjdk, R-lubridate, lyx, ibus, python3-greenlet,
     jwhois, qemu-block-dmg, NetworkManager-l2tp, curl, python2-poppler-
     qt4, qca-ossl, yelp-libs, cmake, gnutls-dane, ghc-doctemplates,
     libdmapsharing, python3-psutil, rubygem-json, perl-Tk, gcc-gdb-plugin,
     igraph, fipscheck-lib, hivex, scrub, openal-soft, jhdf5,
     python2-pycurl, ghc-xml-conduit, pngcrush, qt-mobility-sensors,
     spatialindex, dos2unix, glpk, libqxp, abrt-tui, lzo-minilzo, ustr,
     harfbuzz-devel, tpm2-tss, qt5-qtspeech-speechd, gtk3-devel, munge-
     libs, python3-gdal, phonon, libdhash, frozen-bubble, gucharmap-libs,
     protobuf-compiler, kf5-frameworkintegration-libs, sssd-proxy, ardour5
     -audiobackend-jack, zchunk-libs, python2-numexpr, totem, libb2, gd,
     gc, qtsingleapplication, python3-cups, libxshmfence, gmic-gimp,
     ncurses-c++-libs, ghc-text, texlive-dtl, openscad, libreport-plugin-
     systemd-journal, vtk-java, gstreamer1-plugins-ugly-free, atlas,
     purple-plugin_pack, ghc-concurrent-output, cctz, qt5-qtbase-odbc,
     mingw64-pkg-config, unzip, apr-util-openssl, vlc, Coin3, gtk2, gtk3,
     libwayland-egl, ghc-conduit, perl-Encode-HanExtra, libv4l, atkmm, qt5
     -qtbase-ibase, npth, abrt-addon-coredump-helper, systemtap-client,
     libyaml, mercurial, tre, R-git2r, dbus-glib-devel, python2-cartopy,
     libaacs, plasma-breeze, glfw, qqc2-desktop-style, qt5-qt3d, ghc-
     asn1-types, gspell, kf5-kconfig-gui, xcb-util-image, m17n-lib,
     libblockdev-mdraid, glusterfs, exiv2-libs, lensfun, ghc-xml-types,
     ode, libebml, libunistring, reiserfs-utils, mingw32-qt5-qmldevtools,
     dleyna-server, folks, freetds, wireshark, hugin-base, autotrace,
     python2-scikit-image, gstreamer1-plugins-good, ghc-pem, kf5-kirigami,
     msp430-elf-gdb, python2-rpm, libasyncns, pslib, ghc-psqueues,
     python3-rasterio, qemu-block-curl, python2-pygpgme, device-mapper-
     multipath, c-ares, python3-cytoolz, jhdf, python2-cairo, perl-libintl-
     perl, libvirt-daemon-driver-storage-rbd, gfbgraph, gmock,
     NetworkManager-pptp-gnome, jansson, bind-utils, ghc-yaml, ghc-easy-
     file, ghc-dataenc, gnome-python2-gconf, ghc-conduit-extra, firefox,
     alsa-utils, apr, ghc-split, libsss_nss_idmap, SIMVoleon, pitivi,
     evolution-data-server, ripgrep, zipios++, trousers-lib, libmarkdown,
     ghc-edit-distance, msp430-elf-binutils, mingw64-qt5-qmldevtools-devel,
     nxproxy, libnumbertext, libaom, zip, webrtc-audio-processing,
     python2-shapely, openblas-Rblas, startup-notification, feh, jhead,
     ghc-data-default-instances-containers, arm-none-eabi-binutils-cs,
     netcdf-fortran, python2-lazy-object-proxy, libgeotiff, eccodes, ghc-
     warp, libXevie, babl, libstaroffice, podofo-libs, vinagre, armadillo,
     cygwin32-binutils, libqalculate, libtranslit, bubblewrap, libesmtp,
     gcc-c++, speech-dispatcher-espeak-ng, libtasn1, libblockdev-dm,
     cygwin64-gcc, libe-book, freerdp1.2, python3-dbus, sqlite, tar,
     python3-netifaces, xmlsec1-gnutls, sudo, keditbookmarks-libs, dhcp-
     client, wxBase3-devel, fprintd, pinentry-gtk, gcc, sip, mingw32-gcc,
     dwz, GraphicsMagick, meanwhile, wxGTK3, libvdpau, gcr, python2-psutil,
     gnupg2, oddjob, ghc-vector, spice-vdagent, ebtables, libupnp, perl-
     XML-LibXSLT, avahi-libs, netcdf-openmpi, compat-wxGTK3-gtk2-gl,
     texlive-lcdftypetools, sfxr, qtwebkit, pigz, python3-pyyaml,
     libappindicator-gtk3, libquvi, python2-tornado, gvfs-archive, python2
     -matplotlib-tk, ghc-ansi-terminal, dcmtk, rubygem-rdiscount, mingw32
     -qt-qmake, ghc-stm-chans, libao, libreofficekit, enet, cgnslib, perl-
     libs, systemtap-devel, lz4, kbd, python2-libuser, mutt, dbus-daemon,
     mingw32-pkg-config, libreoffice-core, wayland-devel, ghc-persistent,
     python3-pyicu, opus-tools, ghc-skylighting, ostree-libs, libphodav,
     libwayland-cursor, openvpn, ghc-http2, glew, libpaper, squashfs-tools,
     crash, kf5-kdnssd, python2-pivy, xvidcore, perl-OpenGL,
     python3-libsemanage, libwacom, lzo, poppler-qt5, pango, ghc-haskeline,
     libss, libshaderc, mod_dnssd, libuninameslist, python2-pywt,
     libfabric, kf5-khtml, polkit-libs, perl-threads, perl-Params-Validate,
     python2-newt, compat-readline6, pangomm, kde-runtime-libs, inotify-
     tools, ghc-hinotify, liblrdf, mesa-libxatracker, enblend, nss-sysinit,
     LibRaw, texlive-gsftopk, mxml, openni, unibilium, cygwin64-pkg-config,
     geos, runc, ghc-rfc5051, qjson, polkit-kde, ghc-yesod-form,
     libgdither, openjade, kf5-kwallet-libs, micropython,
     qtsingleapplication-qt5, gumbo-parser, glusterfs-client-xlators, fftw-
     libs-long, at-spi2-core, libvirt-daemon-driver-network, kf5-purpose,
     gegl04, gegl03, ghc-cookie, kdegraphics-mobipocket, oci-register-
     machine, yum-metadata-parser, glibc-common, liblockfile, gnome-epub-
     thumbnailer, re2, python3-librepo, kf5-kcodecs, pidgin-indicator,
     clang-tools-extra, clang-libs, bind-export-libs, ghc-safe,
     xmlsec1-gcrypt, ndctl, xalan-c, testdisk, kactivities-libs,
     qt5-qtlocation, python3-libxml2, libnfs, scim-libs, kf5-plasma,
     python2-libvirt, libgfortran, stoken-libs, gnome-contacts, qt5
     -qtdeclarative-devel, python3-h5py, ghc-cryptonite-conduit, libiscsi,
     texlive-kpathsea, fxload, pypy3, znc, groff-base, ghc-pcap, ghc-
     statistics, python3-gstreamer1, ghc-dlist, libusb, openssh-askpass,
     mesa-libGL, perl-Devel-LexAlias, perl-HTML-Parser, abrt-addon-ccpp,
     libldb, libldm, ghc-warp-tls, NetworkManager-vpnc, libmodplug,
     libvirt-daemon-driver-nodedev, libXres, ghc-transformers-compat,
     libcanberra, webkit2gtk3-jsc-devel, perl-Digest-MD5, zeitgeist-libs,
     python3-netcdf4, admesh-libs, kf5-kio-core-libs, gnonlin, mpir,
     PackageKit-gstreamer-plugin, libdav1d, gtkhtml3, libart_lgpl,
     libgudev, xorg-x11-drv-wacom, libsrtp, perl-Package-Stash-XS, samba-
     client-libs, python3-pygraphviz, qt5-qtscript, openssh-server,
     xmlsec1-openssl, lilv, which, boost-chrono, samba-client, glib-
     networking, lua-expat, kio-extras, R-caTools, python3-cccolutils,
     libquadmath, qemu-ui-curses, cmark-lib, gofed-gofedlib, nautilus-
     sendto, t1lib, gvfs-gphoto2, libvirt-gconfig, brlapi, python3-blosc,
     thunderbird, qt5-doctools, createrepo_c, python2-markupsafe,
     python2-ujson, perl-Text-CSV_XS, python3-libselinux, python2-pyicu,
     libreport-gtk, liboauth, lmdb-libs, mingw-binutils-generic, xl2tpd,
     ardour5, xmlsec1, R-reshape2, coin-or-CoinUtils, python2-qt5-base,
     ghc-memory, isns-utils-libs, libmypaint, libuv, mingw64-qt5-qttools-
     tools, libIDL, librx, libwsman1, kf5-kitemmodels, krb5-workstation,
     ghc-hslua, ksh, mcpp, freetype, hevea, SoQt, libglvnd-opengl, slv2,
     vlc-core, libpng, lksctp-tools, libgltf, usb_modeswitch, tbb, mythes,
     python3-numpy-stl, ghc-haskell-src-exts, NetworkManager-wifi, qt,
     mjpegtools-libs, abrt-retrace-client, wxGTK-devel, jna, ghc-call-
     stack, gnutls-c++, teamd, libvorbis, ghc-enclosed-exceptions, rpcbind,
     wxGTK3-media, kf5-kbookmarks, pcre-cpp, kf5-attica, libodfgen,
     liblouis, mingw32-binutils, kwin-libs, lcms-libs, gdal, exiv2, ghc-
     http-api-data, ghc-turtle, texlive-xetex, ORBit2, qt5-qtwebchannel,
     avr-binutils, lua, gtest, kasumi, ghc-typed-process, perl-PadWalker,
     perl-Math-Factor-XS, qt3, netcdf-cxx-devel, cygwin32-gcc, avahi-
     autoipd, ghc-regex-tdfa, libpeas-loader-python3, pulseaudio-module-
     gconf, syncthing, ghc-http-client, llvm-libs, gnome-logs,
     qtlockedfile-qt5, ogdi, ghc-tasty-rerun, pulseaudio-module-bluetooth,
     libarcus, libvirt-libs, valgrind, kf5-kconfigwidgets, ghc-cmark,
     qt5-qtgraphicaleffects, libcdaudio, portaudio, passwdqc, libXft,
     schroedinger, libattr, gitg, qt5-qtbase-devel, ghc-data-default,
     hyphen, python2-matplotlib, gnome-python2-gnomevfs, ghc-terminfo,
     python3-pikepdf, zvbi, containernetworking-plugins, mpg123-plugins-
     portaudio, rpm, libgsasl, ghc-language-javascript, qemu-audio-oss,
     syslinux, vconfig, libxcrypt, sssd-ldap, iptstate, kf5-prison,
     glib2-devel, libmash, radvd, libplacebo, kf5-kdbusaddons, openpgm,
     openblas-serial64_, usbutils, python3-libs, appstream,
     libappindicator, glusterfs-cli, perl-PathTools, ipset-libs, boost-
     graph, remmina, netpbm-progs, wxGTK-gl, kf5-kio-widgets, libksysguard,
     ghc-code-page, ghc-wai-app-static, perl-Devel-Size, plymouth-graphics-
     libs, boost-serialization, ghc-http-client-tls, mozjs38, gnome-menus,
     ghc-math-functions, libreoffice-pyuno, hexedit, file, flex, ghc-
     profunctors, libgepub, wine-core, libreoffice-ure,
     kf5-frameworkintegration, python3-pyaudio, iscsi-initiator-utils-
     iscsiuio, ghc-th-expand-syns, cyrus-sasl-gssapi, libucil, libargon2,
     mesa-vulkan-drivers, mousetweaks, libvirt-daemon, protobuf-lite,
     libsecret, libnet, gstreamer1-plugins-ugly, p11-kit-trust, dcraw,
     kf5-kcompletion, llvm-devel, nss-softokn, m2crypto, augeas-libs,
     libsysfs, v8, libxmlb, pypy3-libs, geoclue2, audit, ghc-hslogger,
     perl-Cpanel-JSON-XS, wiiuse, udunits2, abrt-dbus, boost-locale, gdk-
     pixbuf2-modules, gnupg, qt5-qtwebengine, xen-libs, libisofs, perl-
     DateTime, nss-pem, vim-common, python2-kerberos, less, CGAL, cifs-
     utils, libvpx, kf5-baloo, tcl, rpm-build-libs, libnghttp2,
     python2-systemd, util-linux-user, totem-nautilus, libXNVCtrl, exempi,
     freetype-demos, libxkbcommon-x11, bench, libmms, ghc-tls-session-
     manager, gnuplot, libtdb, lua-lgi, python3-gpg, python2-dmidecode,
     libXdmcp, ghc-haddock-library, czmq-devel, git-lfs, libofx, perl-
     Socket, apr-util, python2-bcrypt, aspell, python2-vtk-qt, libatomic,
     libvisual, kf5-kunitconversion, python3, python2, gpm-libs,
     kf5-kwayland, R-yaml, irrlicht, xorg-x11-server-Xwayland, ghc-feed,
     gpsbabel, python2-pyproj, qt5-qtvirtualkeyboard, supermin, perl-
     DB_File, dbus-tools, libftdi, shared-mime-info, wdiff, httpd-tools,
     SDL2, webkit2gtk3, perl-GD, python2-twisted, libsigsegv, libglademm24,
     plasma-drkonqi, qt5-qt3d-devel, boost-thread, perl-Devel-Caller,
     libunicap, grilo-plugins, ghc-byteable, net-snmp-libs, dvd+rw-tools,
     shadow-utils, kf5-kdesu, plasma-systemsettings, boost-random,
     libcgroup, uriparser, python3-PyQt4-devel, wine-openal, libXaw,
     libXau, lua-inotify, netcf-libs, libgdata, phonon-qt5, libvirt-client,
     libspiro, dmidecode, python3-pyqt5-sip, vigra, infinipath-psm,
     aeskulap, libcryptui, libiodbc, python3-libcomps, ghc-HUnit, phonon-
     qt5-backend-gstreamer, perl-Devel-CallChecker, libjpeg-turbo, spice-
     gtk3, wine-pulseaudio, fuse3-libs, alembic-libs, libmount, ghc-
     tagsoup, amtk, xorg-x11-drv-wacom-serial-support, xorg-x11-drv-fbdev,
     ghc-base64-bytestring, libqb, ghc-dns, libavc1394, lldpad, CuraEngine,
     libtiff, ghc-polyparse, xournal, libvncserver, R-jpeg, libngspice,
     telepathy-salut, sg3_utils-libs, libnotify, extremetuxracer,
     kf5-kguiaddons, opensp, ima-evm-utils, rcs, mpg123-plugins-jack, ghc-
     cryptohash-sha1, boost-stacktrace, texlive-tex, cairo, golint, ghc-tf-
     random, python2-gobject-base, mesa-libOpenCL, grub2-tools-extra,
     dbxtool, transmission-common, qemu-audio-sdl, ghc-pandoc-types,
     fluidsynth-libs, mutter, libltc, taglib, libXext, libblockdev-utils,
     ModemManager-glib, boost-python2, ostree, device-mapper-event-libs,
     kde-runtime, kdelibs-ktexteditor, initscripts, hunspell, lynx, libxdg-
     basedir, sssd-krb5, kf5-kjs, libieee1284, libpsm2, libndp, poly2tri,
     ghc-regex-compat, arm-none-eabi-gcc-cs, libaesgm, supertuxkart, qemu-
     ui-sdl, corebird, rubygem-eventmachine, lsscsi, kf5-ktextwidgets,
     libcdio-paranoia, bzip2, kf5-kconfig-core, kf5-kxmlrpcclient, libfdt,
     PyQt4-devel, python2-cups, elfutils-libelf, libchewing, abrt-java-
     connector, open-vm-tools, libsmi, ghc-optional-args, liblsan,
     python3-smartcols, shiboken-python2-libs, libavdevice, nss-mdns,
     telnet, python36, libtool-ltdl, readline, openslp, eog, yelp,
     libtimidity, vulkan-loader, python35, passwdqc-lib), /usr/lib/.build-
     id/2d(plasma-workspace-libs, libblockdev-btrfs, inotify-tools,
     python2-libcomps, alsa-utils, ImageMagick-libs, graphviz, iproute,
     OpenSceneGraph-libs, brasero, paraview, opencv-core, wavpack, rcs,
     gnome-software, OCE-modeling, corosynclib, gfs2-utils, qgis, glibc,
     dbusmenu-qt5, gegl, qt5-qtscript, postgresql-libs, gnome-user-share,
     boost-chrono, vlc-core, iptables, ghc-base, jxrlib, R-chron,
     gstreamer1-plugins-good, sane-backends-drivers-scanners, libvirt-
     daemon-driver-network, python2-setools, kf5-purpose, libunwind, util-
     linux, abrt-addon-ccpp, ykpers, vtk-devel, netpbm-progs, wxGTK-gl,
     clang-libs, pulseaudio, kde-runtime, wine-core, dcmtk,
     qt5-qtgraphicaleffects, python2-qt5, cygwin64-cpp, python35, crda,
     samba-client-libs), /usr/share/gocode/src/github.com(golang-github-
     inconshreveable-mousetrap-devel, golang-github-davecgh-go-spew-devel,
     golang, golang-github-pelletier-go-toml-devel, golang-github-
     hashicorp-hcl-devel, golang-github-magiconair-properties-devel,
     golang-github-stretchr-testify-devel, golang-github-BurntSushi-toml-
     devel, golang-gopkg-yaml-devel-v2, golang-github-spf13-pflag-devel,
     golang-github-urfave-cli-devel, golang-github-mitchellh-go-homedir-
     devel, golang-github-kr-fs-devel, golang-github-kr-pretty-devel,
     golang-github-kr-pty-devel, golang-github-spf13-cobra-devel, golang-
     github-peterh-liner-devel, golang-github-mattn-go-runewidth-devel,
     golang-github-pmezard-go-difflib-devel, golang-github-spf13-cast-
     devel, golang-github-kr-text-devel, golang-github-pkg-errors-devel,
     golang-github-blang-semver-devel, golang-github-pelletier-go-
     buffruneio-devel, golang-github-spf13-viper-devel, golang-github-
     olekukonko-ts-devel, golang-github-cpuguy83-go-md2man-devel, golang-
     github-mitchellh-mapstructure-devel, golang-github-cheggaaa-pb-devel,
     golang-github-pkg-sftp-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in godmesg
     , golang-github-euank-kmsg-parser-devel , golang-github-euank-kmsg-
     parser-debugsource
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: godmesg-2.0.0-1.fc30.x86_64.rpm
          golang-github-euank-kmsg-parser-devel-2.0.0-1.fc30.noarch.rpm
          golang-github-euank-kmsg-parser-debugsource-2.0.0-1.fc30.x86_64.rpm
          golang-github-euank-kmsg-parser-2.0.0-1.fc30.src.rpm
godmesg.x86_64: W: spelling-error Summary(en_US) dev -> deb, derv, div
godmesg.x86_64: W: spelling-error Summary(en_US) kmsg -> MSG
godmesg.x86_64: W: spelling-error %description -l en_US dev -> deb, derv, div
godmesg.x86_64: W: spelling-error %description -l en_US kmsg -> MSG
godmesg.x86_64: W: spelling-error %description -l en_US cli -> cl, clii, clip
godmesg.x86_64: W: spelling-error %description -l en_US dmesg -> demesne
godmesg.x86_64: W: spelling-error %description -l en_US ctime -> crime, time, clime
godmesg.x86_64: W: no-documentation
godmesg.x86_64: W: no-manual-page-for-binary godmesg
golang-github-euank-kmsg-parser-devel.noarch: W: spelling-error Summary(en_US) dev -> deb, derv, div
golang-github-euank-kmsg-parser-devel.noarch: W: spelling-error %description -l en_US dev -> deb, derv, div
golang-github-euank-kmsg-parser-devel.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
golang-github-euank-kmsg-parser-devel.noarch: W: spelling-error %description -l en_US dmesg -> demesne
golang-github-euank-kmsg-parser-devel.noarch: W: spelling-error %description -l en_US ctime -> crime, time, clime
golang-github-euank-kmsg-parser-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/euank/go-kmsg-parser/.goipath
golang-github-euank-kmsg-parser.src: W: spelling-error Summary(en_US) dev -> deb, derv, div
golang-github-euank-kmsg-parser.src: W: spelling-error %description -l en_US dev -> deb, derv, div
golang-github-euank-kmsg-parser.src: W: patch-not-applied Patch0: 0001-Fix-missing-.-in-args-forwarded-to-printf-like-funct.patch
4 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
golang-github-euank-kmsg-parser-debugsource (rpmlib, GLIBC filtered):

godmesg (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

golang-github-euank-kmsg-parser-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-euank-kmsg-parser-debugsource:
    golang-github-euank-kmsg-parser-debugsource
    golang-github-euank-kmsg-parser-debugsource(x86-64)

godmesg:
    godmesg
    godmesg(x86-64)

golang-github-euank-kmsg-parser-devel:
    golang(github.com/euank/go-kmsg-parser/kmsgparser)
    golang-github-euank-kmsg-parser-devel
    golang-ipath(github.com/euank/go-kmsg-parser)



Source checksums
----------------
https://github.com/euank/go-kmsg-parser/archive/v2.0.0.tar.gz#/go-kmsg-parser-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : a1f1b221b3d11429ff127fc936b52faddf77263a6f1ffe50996f7aaaeaffe115
  CHECKSUM(SHA256) upstream package : a1f1b221b3d11429ff127fc936b52faddf77263a6f1ffe50996f7aaaeaffe115


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1645264
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Robert-André Mauchin 2019-03-17 17:10:35 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33572897

Comment 4 Elliott Sales de Andrade 2019-03-17 19:18:58 UTC
Approved.

I would change the godmesg description slightly to indicate *what* it's an example of, since there's no link between that package and the -devel one given their names.

Comment 5 Gwyn Ciesla 2019-03-18 13:20:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-euank-kmsg-parser

Comment 6 Fedora Update System 2019-03-25 16:56:23 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a13db3432d

Comment 7 Fedora Update System 2019-03-25 17:08:18 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-72cd0b4b77

Comment 8 Fedora Update System 2019-03-25 18:54:53 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a13db3432d

Comment 9 Fedora Update System 2019-03-27 04:34:13 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-72cd0b4b77

Comment 10 Fedora Update System 2019-03-31 00:03:52 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-14 06:22:49 UTC
golang-github-euank-kmsg-parser-2.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.